
Foreman - Bug #15984

Backslashes added to overrriden params when changing environments within host edit

08/04/2016 02:01 PM - Alejandro Falcon

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Parameters   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.11.4

Bugzilla link: 1506814 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5126

  

Description

How to reproduce:

Edit a host.

Go to params and override any(tried hashes and arrays)

Change host environment

Overriden param will show with backslashes and \r\n for line breaks.

Related issues:

Related to Foreman - Bug #22088: edit hostgroup form reloads parameters on en... New 12/27/2017

Related to Foreman - Refactor #24951: No local variable `host` exists. Closed

Associated revisions

Revision 265e1d98 - 03/20/2018 03:10 PM - Ori Rabin

Fixes #15984 - Avoid escaping overridden parameters (#5126)

History

#1 - 08/08/2016 03:04 AM - Dominic Cleal

- Subject changed from Foreman add backslashes to overrriden params when changing environments withing edit screen. to Backslashes added to

overrriden params when changing environments within host edit

- Description updated

- Category set to Parameters

I'd recommend re-testing with 1.12.1 if you can, there were a couple of fixes in that release (and possibly 1.12.0 itself) that may be applicable.

#2 - 08/31/2016 10:25 AM - Alejandro Falcon

I've tested with 1.12.2 and still getting the same problem.

#3 - 12/27/2017 11:50 AM - Ori Rabin

- Bugzilla link set to 1506814

#4 - 12/27/2017 11:51 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

- Target version set to 233

#5 - 01/01/2018 09:21 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5126 added
#6 - 01/01/2018 11:40 AM - Ori Rabin

- Related to Bug #22088: edit hostgroup form reloads parameters on environment change added

#7 - 03/20/2018 03:10 PM - Marek Hulán

- translation missing: en.field_release set to 330

#8 - 03/20/2018 04:02 PM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 265e1d987cca82b2226d7e40ebd1c58a5b5a452b.

#9 - 09/17/2018 11:04 AM - Lukas Zapletal

- Related to Refactor #24951: No local variable `host` exists. added
